sync with OpenBSD -current

This commit is contained in:
purplerain 2024-07-20 20:41:33 +00:00
parent b5b25afdb8
commit 2c72e27ed2
Signed by: purplerain
GPG key ID: F42C07F07E2E35B7
147 changed files with 41128 additions and 10 deletions

18
lib/libva/.github/workflows/style.sh vendored Normal file
View file

@ -0,0 +1,18 @@
#!/usr/bin/env bash
set -euo pipefail
modified_lines=$(git status --short -uno | wc -l)
(( modified_lines == 0 )) && exit 0
echo >&2
echo >&2 "ERROR: Style changes detected"
echo >&2
git diff
echo >&2
echo >&2 "ERROR: Squash the above changes as needed"
echo >&2
exit 1